function BlockWars:StartActivity()
	print("START! -- BlockWars:StartActivity()!");

	self.Zone = SceneMan.Scene:GetArea("BlockWarsAntiBugZone");
	
	BASE_PATH = "BlockWars.rte/Scenes/Scripts/"
	LIB_PATH = "BlockWars.rte/Libraries/"
	
	if TRANSFER_IN_PROGRESS == nil then
		TRANSFER_IN_PROGRESS = false
	end
	
	if not TRANSFER_IN_PROGRESS then
		-- Reset all previouly set scenes and scripts before launch since we're starting clean
		SCENE_TO_LAUNCH = nil
		SCRIPT_TO_LAUNCH = nil
	end

	if SCENE_TO_LAUNCH == nil then
		SCENE_TO_LAUNCH = "BlockWarsUI"
	end

	if SCRIPT_TO_LAUNCH == nil then
		SCRIPT_TO_LAUNCH = BASE_PATH.."BlockWarsUI.lua"
	end
	
	TRANSFER_IN_PROGRESS = false
	
	dofile(LIB_PATH.."CF_ConfigLibrary.lua");
	dofile(LIB_PATH.."CF_MissionLibrary.lua");
	dofile(SCRIPT_TO_LAUNCH)
	SceneMan:LoadScene(SCENE_TO_LAUNCH , true)
end
-----------------------------------------------------------------------------------------
-- Pause Activity
-----------------------------------------------------------------------------------------
function BlockWars:PauseActivity(pause)
    print("PAUSE! -- BlockWars:PauseActivity()!");
end
-----------------------------------------------------------------------------------------
-- End Activity
-----------------------------------------------------------------------------------------
function BlockWars:EndActivity()
    print("END! -- BlockWars:EndActivity()!");
end
-----------------------------------------------------------------------------------------
-- Update Activity
-----------------------------------------------------------------------------------------
function BlockWars:UpdateActivity()
	--print("Mission launcher - Update Once!")
end
